<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <p> YouTube Subscribe Button </p>
    <button onclick="subscribe()" class="js-subscribe-button">Subscribe</button>

    <script>

        function subscribe() {
            const buttonEle = document.querySelector('.js-subscribe-button');

            if (buttonEle.innerHTML === 'Subscribe') {
                buttonEle.innerHTML = 'Subscribed';
            } else {
                buttonEle.innerHTML = 'Subscribe';
            }
        }

    </script>

</body>

</html>